CREATE DATABASE feladat1 CHARACTER SET="utf8" COLLATE="utf8_hungarian_ci";

USE feladat1;

CREATE TABLE felszereles(id INT NOT NULL AUTO_INCREMENT PRIMARY KEY, nev VARCHAR(255), suly INT, kategoriaId INT);
CREATE TABLE kategoria(id INT NOT NULL AUTO_INCREMENT PRIMARY KEY, nev VARCHAR(255));
CREATE TABLE kolcsonzes(id INT NOT NULL AUTO_INCREMENT PRIMARY KEY, vendegId INT, felszerelesId INT, datum DATE, idotartam INT, visszahozta INT);
CREATE TABLE vendeg(id INT NOT NULL AUTO_INCREMENT PRIMARY KEY, nev VARCHAR(255));
CREATE TABLE haviBerlet(id INT NOT NULL AUTO_INCREMENT PRIMARY KEY, vendegId INT, honap INT, ar INT);

ALTER TABLE felszereles ADD FOREIGN KEY (kategoriaId) REFERENCES kategoria(id);
ALTER TABLE kolcsonzes ADD FOREIGN KEY (vendegId) REFERENCES vendeg(id);
ALTER TABLE kolcsonzes ADD FOREIGN KEY (felszerelesId) REFERENCES felszereles(id);
ALTER TABLE haviBerlet ADD FOREIGN KEY (vendegId) REFERENCES vendeg(id);
